gnutls_rsa_export_get_pubkey(3)

NAME
gnutls_rsa_export_get_pubkey - return the peer's public key used in RSA-EXPORT authentication

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_rsa_export_get_pubkey(gnutls_session_t session, gnutls_datum_t * exponent, gnutls_datum_t * modulus);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

gnutls_datum_t * exponent
    will hold the exponent.

gnutls_datum_t * modulus
    will hold the modulus.

DESCRIPTION
This function will return the peer's public key exponent and modulus used in the last RSA-EXPORT authentication. The output parameters must be freed with gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.